#include "bits/stdc++.h"
#define puba push_back
#define mapa make_pair
#define ff first
#define ss second
#define bend(_x) (_x).begin(), (_x).end()
#define szof(_x) ((int) (_x).size())
#define TASK_NAME "sequence"
#define M_PI 3.1415926

using namespace std;
typedef long long ll;
typedef pair <int, int> pii;
const int MAXN = 3e5 + 5;

//a;
//b;
//c = b - a;
//d = c - b = -a;
//e = d - c = -a - b + a = -b;
//f = e - d = a - b;
//g = f - e = a - b + b = a;
//h = g - f = a - a + b = b;

int n;
int arr[MAXN];

double check(double a, double b) {
    double ret = fabs(a - arr[0]) + fabs(b - arr[1]);

    for (int i = 2; i < n; ++i) {
        double now = b - a;
        ret += fabs(now - arr[i]);
        a = b;
        b = now;
    }
    return ret;
}

ll check2(long long a, long long b) {
    ll ret = abs(a - arr[0]) + abs(b - arr[1]);

    for (int i = 2; i < n; ++i) {
        long long now = b - a;
        ret += abs(now - arr[i]);
        a = b;
        b = now;
    }
    return ret;
}

int main() {        
    freopen(TASK_NAME ".in", "r", stdin);
    freopen(TASK_NAME ".out", "w", stdout);

    scanf("%d", &n);
    for (int i = 0; i < n; ++i) {
        scanf("%d", arr + i);
    }

    double a = 0;
    double b = 0;
    double step = 1e13;
    double d = 0.45;
    vector <pair<double, double>> dxy;
    for (int i = 0; i < 12; ++i) {
        dxy.puba(mapa(sin(M_PI * i / 6.0), cos(M_PI * i / 6.0)));
    }

    int tc = 0;
    while (true) {
        //cerr << "new" << endl;
        if (tc - 100 == 0) {
            tc = 0;
            if (clock() > CLOCKS_PER_SEC * 0.6) {
                break;
            }
        }
        int mem = -1;
        double best = check(a, b);
        //cerr << a << " " << b << " " << best << endl;
        ++tc;
        for (int i = 0; i < szof(dxy); ++i) {
            double nx = a + step * dxy[i].ff;
            double ny = b + step * dxy[i].ss;
            double tmp = check(nx, ny);
            //cerr << tmp << endl;
            //assert(tmp >= 0);
            if (tmp < best) {
                best = tmp;
                mem = i;
            }
        }

        if (mem != -1) {
            //cerr << "@" << endl;
            a = a + step * dxy[mem].ff;
            b = b + step * dxy[mem].ss;            
        } else {
            step *= d;
        }
        //cerr << step << endl;        
    }

    cerr << step << endl;

    //cerr << a << " " << b << endl;

    int ra = round(a);
    int rb = round(b);
    ll best = check2(ra, rb);
    int ansa = ra, ansb = rb;

    int delta = 1;
    
    for (int i = -delta; i <= delta; ++i) {
        for (int j = -delta; j <= delta; ++j) {
            ll tmp = check2((ll) a + i, (ll) b + j);
            if (tmp < best) {
                best = tmp;
                ansa = a + i;
                ansb = b + j;
            }
        }
    }

    assert(best == check2(ansa, ansb));

    //printf("%I64d\n%d %d ", best, ansa, ansb);
    cout << best << "\n";
/*     << ansa << " " << ansb << " ";

    for (int i = 2; i < n; ++i) {
        int now = ansb - ansa;
        //printf("%d ", now);
        cout << now << " ";
        ansa = ansb;
        ansb = now;
    }
    //printf("\n");
    cout << "\n";*/

    return 0;
}